BLAS/SRC/cswap.f(3)

NAME
BLAS/SRC/cswap.f

SYNOPSIS

  Functions/Subroutines
subroutine cswap (n, cx, incx, cy, incy)
CSWAP

Function/Subroutine Documentation

  subroutine cswap (integer n, complex, dimension(*) cx, integer incx, complex, dimension(*) cy, integer incy)

CSWAP

Purpose:

       CSWAP interchanges two vectors.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    CX

              CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of CX

    CY

              CY is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of CY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 80 of file cswap.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.